Subject: Perl and bash
From: [email-masked] (Robin Crampton)

28 Aug 1998 11:31:23 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

I'm getting strange behaviour when running YeP Perl from bash.
Running this program:

 #!/usr/local/perl/qub/perl -w
 print "Your name? ";
 $name = <STDIN>;
 chomp ($name);
 print "Welcome $name!\n";

The third line doesn't block.  I get:

 Your name?
 Welcome !

So I got the latest ActivePerl and it does the same.
But both work perfectly in a DOS box.

Huh?  (CYGWIN32_95 PC-310 4.0 19.3 i586 unknown)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".